Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyle.StandardPixmap

    java.lang.Object
      java.lang.Enum<QStyle.StandardPixmap>
          com.trolltech.qt.gui.QStyle.StandardPixmap

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyle.StandardPixmap>

Enclosing class:
  QStyle

    public static enum QStyle.StandardPixmap

extends java.lang.Enum<QStyle.StandardPixmap>
implements QtEnumerator

This enum describes the available standard pixmaps. A standard pixmap is a pixmap that can follow some existing GUI style or guideline.

See Also:
  `standardPixmap`, `standardIcon`

Enum Constant Summary
`CustomEnum`
`SP_ArrowBack` Equivalent to `SP_ArrowLeft` when the current layout direction is Qt::LeftToRight, otherwise `SP_ArrowRight`.
`SP_ArrowDown` Icon arrow pointing down.
`SP_ArrowForward` Equivalent to `SP_ArrowRight` when the current layout direction is Qt::LeftToRight, otherwise `SP_ArrowLeft`.
`SP_ArrowLeft` Icon arrow pointing left.
`SP_ArrowRight` Icon arrow pointing right.
`SP_ArrowUp` Icon arrow pointing up.
`SP_CommandLink` Icon used to indicate a Vista style command link glyph.
`SP_ComputerIcon` The "My computer" icon.
`SP_CustomBase` Base value for custom standard pixmaps; custom values must be greater than this value.
`SP_DesktopIcon` The "desktop" icon.
`SP_DialogApplyButton` Icon for a standard Apply button in a `QDialogButtonBox`.
`SP_DialogCancelButton` Icon for a standard Cancel button in a `QDialogButtonBox`.
`SP_DialogCloseButton` Icon for a standard Close button in a `QDialogButtonBox`.
`SP_DialogDiscardButton` Icon for a standard Discard button in a `QDialogButtonBox`.
`SP_DialogHelpButton` Icon for a standard Help button in a `QDialogButtonBox`.
`SP_DialogNoButton` Icon for a standard No button in a `QDialogButtonBox`.
`SP_DialogOkButton` Icon for a standard OK button in a `QDialogButtonBox`.
`SP_DialogOpenButton` Icon for a standard Open button in a `QDialogButtonBox`.
`SP_DialogResetButton` Icon for a standard Reset button in a `QDialogButtonBox`.
`SP_DialogSaveButton` Icon for a standard Save button in a `QDialogButtonBox`.
`SP_DialogYesButton` Icon for a standard Yes button in a `QDialogButtonBox`.
`SP_DirClosedIcon` The closed directory icon.
`SP_DirHomeIcon` The home directory icon.
`SP_DirIcon` The directory icon.
`SP_DirLinkIcon` The link to directory icon.
`SP_DirOpenIcon` The open directory icon.
`SP_DockWidgetCloseButton` Close button on dock windows (see also `QDockWidget`).
`SP_DriveCDIcon` The CD icon.
`SP_DriveDVDIcon` The DVD icon.
`SP_DriveFDIcon` The floppy icon.
`SP_DriveHDIcon` The harddrive icon.
`SP_DriveNetIcon` The network icon.
`SP_FileDialogBack` The back arrow in a file dialog.
`SP_FileDialogContentsView` The contents view icon in a file dialog.
`SP_FileDialogDetailedView` The detailed view icon in a file dialog.
`SP_FileDialogEnd` The "end" icon in a file dialog.
`SP_FileDialogInfoView` The file info icon in a file dialog.
`SP_FileDialogListView` The list view icon in a file dialog.
`SP_FileDialogNewFolder` The "create new folder" icon in a file dialog.
`SP_FileDialogStart` The "start" icon in a file dialog.
`SP_FileDialogToParent` The "parent directory" icon in a file dialog.
`SP_FileIcon` The file icon.
`SP_FileLinkIcon` The link to file icon.
`SP_MessageBoxCritical` The "critical" icon.
`SP_MessageBoxInformation` The "information" icon.
`SP_MessageBoxQuestion` The "question" icon.
`SP_MessageBoxWarning` The "warning" icon.
`SP_TitleBarCloseButton` Close button on title bars.
`SP_TitleBarContextHelpButton` The Context help button on title bars.
`SP_TitleBarMaxButton` Maximize button on title bars.
`SP_TitleBarMenuButton` Menu button on a title bar.
`SP_TitleBarMinButton` Minimize button on title bars (e.g., in `QWorkspace`).
`SP_TitleBarNormalButton` Normal (restore) button on title bars.
`SP_TitleBarShadeButton` Shade button on title bars.
`SP_TitleBarUnshadeButton` Unshade button on title bars.
`SP_ToolBarHorizontalExtensionButton` Extension button for horizontal toolbars.
`SP_ToolBarVerticalExtensionButton` Extension button for vertical toolbars.
`SP_TrashIcon` The "trash" icon.
`SP_VistaShield` Icon used to indicate UAC prompts on Windows Vista.

Method Summary
`static QStyle.StandardPixmap` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.StandardPixmap` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyle.StandardPixmap[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SP_TitleBarMenuButton

    public static final QStyle.StandardPixmap SP_TitleBarMenuButton

  Menu button on a title bar.

### SP_TitleBarMinButton

    public static final QStyle.StandardPixmap SP_TitleBarMinButton

  Minimize button on title bars (e.g., in `QWorkspace`).

### SP_TitleBarMaxButton

    public static final QStyle.StandardPixmap SP_TitleBarMaxButton

  Maximize button on title bars.

### SP_TitleBarCloseButton

    public static final QStyle.StandardPixmap SP_TitleBarCloseButton

  Close button on title bars.

### SP_TitleBarNormalButton

    public static final QStyle.StandardPixmap SP_TitleBarNormalButton

  Normal (restore) button on title bars.

### SP_TitleBarShadeButton

    public static final QStyle.StandardPixmap SP_TitleBarShadeButton

  Shade button on title bars.

### SP_TitleBarUnshadeButton

    public static final QStyle.StandardPixmap SP_TitleBarUnshadeButton

  Unshade button on title bars.

### SP_TitleBarContextHelpButton

    public static final QStyle.StandardPixmap SP_TitleBarContextHelpButton

  The Context help button on title bars.

### SP_DockWidgetCloseButton

    public static final QStyle.StandardPixmap SP_DockWidgetCloseButton

  Close button on dock windows (see also `QDockWidget`).

### SP_MessageBoxInformation

    public static final QStyle.StandardPixmap SP_MessageBoxInformation

  The "information" icon.

### SP_MessageBoxWarning

    public static final QStyle.StandardPixmap SP_MessageBoxWarning

  The "warning" icon.

### SP_MessageBoxCritical

    public static final QStyle.StandardPixmap SP_MessageBoxCritical

  The "critical" icon.

### SP_MessageBoxQuestion

    public static final QStyle.StandardPixmap SP_MessageBoxQuestion

  The "question" icon.

### SP_DesktopIcon

    public static final QStyle.StandardPixmap SP_DesktopIcon

  The "desktop" icon.

### SP_TrashIcon

    public static final QStyle.StandardPixmap SP_TrashIcon

  The "trash" icon.

### SP_ComputerIcon

    public static final QStyle.StandardPixmap SP_ComputerIcon

  The "My computer" icon.

### SP_DriveFDIcon

    public static final QStyle.StandardPixmap SP_DriveFDIcon

  The floppy icon.

### SP_DriveHDIcon

    public static final QStyle.StandardPixmap SP_DriveHDIcon

  The harddrive icon.

### SP_DriveCDIcon

    public static final QStyle.StandardPixmap SP_DriveCDIcon

  The CD icon.

### SP_DriveDVDIcon

    public static final QStyle.StandardPixmap SP_DriveDVDIcon

  The DVD icon.

### SP_DriveNetIcon

    public static final QStyle.StandardPixmap SP_DriveNetIcon

  The network icon.

### SP_DirOpenIcon

    public static final QStyle.StandardPixmap SP_DirOpenIcon

  The open directory icon.

### SP_DirClosedIcon

    public static final QStyle.StandardPixmap SP_DirClosedIcon

  The closed directory icon.

### SP_DirLinkIcon

    public static final QStyle.StandardPixmap SP_DirLinkIcon

  The link to directory icon.

### SP_FileIcon

    public static final QStyle.StandardPixmap SP_FileIcon

  The file icon.

### SP_FileLinkIcon

    public static final QStyle.StandardPixmap SP_FileLinkIcon

  The link to file icon.

### SP_ToolBarHorizontalExtensionButton

    public static final QStyle.StandardPixmap SP_ToolBarHorizontalExtensionButton

  Extension button for horizontal toolbars.

### SP_ToolBarVerticalExtensionButton

    public static final QStyle.StandardPixmap SP_ToolBarVerticalExtensionButton

  Extension button for vertical toolbars.

### SP_FileDialogStart

    public static final QStyle.StandardPixmap SP_FileDialogStart

  The "start" icon in a file dialog.

### SP_FileDialogEnd

    public static final QStyle.StandardPixmap SP_FileDialogEnd

  The "end" icon in a file dialog.

### SP_FileDialogToParent

    public static final QStyle.StandardPixmap SP_FileDialogToParent

  The "parent directory" icon in a file dialog.

### SP_FileDialogNewFolder

    public static final QStyle.StandardPixmap SP_FileDialogNewFolder

  The "create new folder" icon in a file dialog.

### SP_FileDialogDetailedView

    public static final QStyle.StandardPixmap SP_FileDialogDetailedView

  The detailed view icon in a file dialog.

### SP_FileDialogInfoView

    public static final QStyle.StandardPixmap SP_FileDialogInfoView

  The file info icon in a file dialog.

### SP_FileDialogContentsView

    public static final QStyle.StandardPixmap SP_FileDialogContentsView

  The contents view icon in a file dialog.

### SP_FileDialogListView

    public static final QStyle.StandardPixmap SP_FileDialogListView

  The list view icon in a file dialog.

### SP_FileDialogBack

    public static final QStyle.StandardPixmap SP_FileDialogBack

  The back arrow in a file dialog.

### SP_DirIcon

    public static final QStyle.StandardPixmap SP_DirIcon

  The directory icon.

### SP_DialogOkButton

    public static final QStyle.StandardPixmap SP_DialogOkButton

  Icon for a standard OK button in a `QDialogButtonBox`.

### SP_DialogCancelButton

    public static final QStyle.StandardPixmap SP_DialogCancelButton

  Icon for a standard Cancel button in a `QDialogButtonBox`.

### SP_DialogHelpButton

    public static final QStyle.StandardPixmap SP_DialogHelpButton

  Icon for a standard Help button in a `QDialogButtonBox`.

### SP_DialogOpenButton

    public static final QStyle.StandardPixmap SP_DialogOpenButton

  Icon for a standard Open button in a `QDialogButtonBox`.

### SP_DialogSaveButton

    public static final QStyle.StandardPixmap SP_DialogSaveButton

  Icon for a standard Save button in a `QDialogButtonBox`.

### SP_DialogCloseButton

    public static final QStyle.StandardPixmap SP_DialogCloseButton

  Icon for a standard Close button in a `QDialogButtonBox`.

### SP_DialogApplyButton

    public static final QStyle.StandardPixmap SP_DialogApplyButton

  Icon for a standard Apply button in a `QDialogButtonBox`.

### SP_DialogResetButton

    public static final QStyle.StandardPixmap SP_DialogResetButton

  Icon for a standard Reset button in a `QDialogButtonBox`.

### SP_DialogDiscardButton

    public static final QStyle.StandardPixmap SP_DialogDiscardButton

  Icon for a standard Discard button in a `QDialogButtonBox`.

### SP_DialogYesButton

    public static final QStyle.StandardPixmap SP_DialogYesButton

  Icon for a standard Yes button in a `QDialogButtonBox`.

### SP_DialogNoButton

    public static final QStyle.StandardPixmap SP_DialogNoButton

  Icon for a standard No button in a `QDialogButtonBox`.

### SP_ArrowUp

    public static final QStyle.StandardPixmap SP_ArrowUp

  Icon arrow pointing up.

### SP_ArrowDown

    public static final QStyle.StandardPixmap SP_ArrowDown

  Icon arrow pointing down.

### SP_ArrowLeft

    public static final QStyle.StandardPixmap SP_ArrowLeft

  Icon arrow pointing left.

### SP_ArrowRight

    public static final QStyle.StandardPixmap SP_ArrowRight

  Icon arrow pointing right.

### SP_ArrowBack

    public static final QStyle.StandardPixmap SP_ArrowBack

  Equivalent to `SP_ArrowLeft` when the current layout direction is Qt::LeftToRight, otherwise `SP_ArrowRight`.

### SP_ArrowForward

    public static final QStyle.StandardPixmap SP_ArrowForward

  Equivalent to `SP_ArrowRight` when the current layout direction is Qt::LeftToRight, otherwise `SP_ArrowLeft`.

### SP_DirHomeIcon

    public static final QStyle.StandardPixmap SP_DirHomeIcon

  The home directory icon.

### SP_CommandLink

    public static final QStyle.StandardPixmap SP_CommandLink

  Icon used to indicate a Vista style command link glyph.

### SP_VistaShield

    public static final QStyle.StandardPixmap SP_VistaShield

  Icon used to indicate UAC prompts on Windows Vista. This will return a null pixmap or icon on all other platforms.

### SP_CustomBase

    public static final QStyle.StandardPixmap SP_CustomBase

  Base value for custom standard pixmaps; custom values must be greater than this value.

### CustomEnum

    public static final QStyle.StandardPixmap CustomEnum

Method Detail

### values

    public static final QStyle.StandardPixmap[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyle.StandardPixmap c : QStyle.StandardPixmap.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyle.StandardPixmap valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyle.StandardPixmap resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD